Subject: Re: linux-next: Tree for Sep 24 (htmldocs / pdfdocs)

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 26 Sep 2025 12:19:05 +0200

Em Thu, 25 Sep 2025 09:59:45 -0700
Randy Dunlap <[email-masked]> escreveu:

> Hi Akira,
> 
> On 9/25/25 7:15 AM, Akira Yokosawa wrote:
> > Hi Randy,
> > 
> > On Wed, 24 Sep 2025 10:54:18 -0700, Randy Dunlap wrote:  
> >> On 9/24/25 7:41 AM, Mark Brown wrote:  
> >>> Hi all,
> >>>
> >>> There will be no -next releases Tuesday and Wednesday next week, and
> >>> it's possible I might run out of time on Monday.
> >>>  
> >>
> >> When I run 'make O=DOCS htmldocs', I see these warning messages:
> >>
> >> ../Documentation/Makefile:70: warning: overriding recipe for target 'pdfdocs'
> >> ../Documentation/Makefile:61: warning: ignoring old recipe for target 'pdfdocs'
> >>
> >>
> >> Is this a known issue?  
> > 
> > I could reproduce these warnings under containers who have minimal
> > packages needed for htmldocs *only*.
> > 
> > Current "docs-mw" branch doesn't show them.  "build-scripts" is the
> > one who carries this harmless regression.
> > 
> > By "harmless", I mean "pdfdocs" needs texlive packages anyway.  
> 
> 
> Right, I don't have any texlive (or latex or tetex) packages installed.
> I shouldn't need to since I am not building any pdfdocs, so I
> shouldn't get these warning messages. But if they go away in the near
> future, that's great.

Just sent the fixes. They are because I forgot to do another cleanup
at docs Makefile and didn't test on an environment without latex.

Fix is trivial: just drop the second (unneeded) pdfdocs target.

Thanks,
Mauro